> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Retrieves the metadata for an external file. Use the 'downloadURL' to download the actual file.


GET https://{tenant_name}.benchling.com/api/v2/entries/{entry_id}/external-files/{external_file_id}

Retrieves the metadata for an external file. Use the 'downloadURL' to download the actual file. (Expand the schema view for details)


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/entries/get-external-file-metadata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `entry_id` (string, required) — ID of the entry the file was uploaded to
- `external_file_id` (string, required) — ID of the external file

## Response

### 200

OK

- `externalFile` (EntryExternalFile, optional) — The ExternalFile resource stores metadata about the file. The actual original file can be downloaded by using the 'downloadURL' property.

## Types

### EntryExternalFile

The ExternalFile resource stores metadata about the file. The actual original file can be downloaded by using the 'downloadURL' property.

- `downloadURL` (string, optional) — A short-lived URL that can be used to download the original file.
- `expiresAt` (integer, optional) — UNIX timestamp when downloadURL expires.
- `id` (string, optional) — ID of the external file
- `size` (integer, optional) — Size, in bytes, of the external file

## Examples

**Response**

```json
{
  "externalFile": {
    "downloadURL": "string",
    "expiresAt": 1,
    "id": "string",
    "size": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/entries/entry_id/external-files/external_file_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/entries/entry_id/external-files/external_file_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```